Iir::Cascade Class Reference

`#include <Cascade.h>`

Inheritance diagram for Iir::Cascade:

## Classes

struct | Storage

## Public Member Functions

int | getNumStages () const
const Biquad & | operator[] (int index)
complex_t | response (double normalizedFrequency) const
std::vector< PoleZeroPair > | getPoleZeros () const

## Detailed Description

Holds coefficients for a cascade of second order sections.

## Member Function Documentation

## getNumStages()

int Iir::Cascade::getNumStages | ( |  | ) | const

inline

Returns the number of Biquads kept here

## getPoleZeros()

std::vector< PoleZeroPair > Iir::Cascade::getPoleZeros | ( |  | ) | const

Returns a vector with all pole/zero pairs of the whole Biqad cascade

## operator[]()

const Biquad& Iir::Cascade::operator[] | ( | int | index | ) |

inline

Returns a reference to a biquad

## response()

complex_t Iir::Cascade::response | ( | double | normalizedFrequency | ) | const

Calculate filter response at the given normalized frequency

Parameters

  normalizedFrequency | Frequency from 0 to 0.5 (Nyquist)

The documentation for this class was generated from the following files:

- iir/Cascade.h
- iir/Cascade.cpp